%if 0%{?rhel} >= 9 || 0%{?fedora} >= 33
%bcond_with python2
%else
%bcond_without python2
%endif

%global libname setuptools_trial

Name:           python-%{libname}
Version:        0.6.0
Release:        4%{?dist}.1
Summary:        Setuptools plugin that makes unit tests execute with trial instead of pyunit

Group:          Development/Languages
License:        BSD
URL:            http://allmydata.org/trac/setuptools_trial
Source0:        https://pypi.python.org/packages/source/s/%{libname}/%{libname}-%{version}.tar.gz

BuildArch:      noarch
%if %{with python2}
BuildRequires:  python2-devel, python2-twisted, python2-setuptools
%endif
BuildRequires:  python3-devel, python3-twisted, python3-setuptools

%description
Setuptools plugin that makes unit tests execute with trial instead of pyunit

%if %{with python2}
BuildRequires:  python2-devel, python2-twisted, python2-setuptools
%package -n     python2-%{libname}
Summary:        Setuptools plugin that makes unit tests execute with trial instead of pyunit
Requires:       python2-twisted, python2-setuptools, python2-pathlib2
%{?python_provide:%python_provide python2-%{libname}}

%description -n python2-%{libname}
Setuptools plugin that makes unit tests execute with trial instead of pyunit

%endif

%package -n     python3-%{libname}
Summary:        Setuptools plugin that makes unit tests execute with trial instead of pyunit
Requires:       python3-twisted, python3-setuptools, python3-pathlib2
%{?python_provide:%python_provide python3-%{libname}}

%description -n python3-%{libname}
Setuptools plugin that makes unit tests execute with trial instead of pyunit

%prep
%setup -q -n %{libname}-%{version}


%build
%if %{with python2}
%py2_build
%endif
%py3_build


%install
%py3_install
%if %{with python2}
%py2_install
%endif
rm -rf %{buildroot}%{_docdir}


%if %{with python2}
%files -n python2-%{libname}
%defattr(-,root,root,-)
%doc README.rst COPYING.SPL.txt
%{python2_sitelib}/%{libname}
%{python2_sitelib}/%{libname}-%{version}-*egg-info
%endif

%files -n python3-%{libname}
%defattr(-,root,root,-)
%doc README.rst COPYING.SPL.txt
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{libname}-%{version}-*egg-info

%changelog
* Wed Sep  7 2022 Oleg Girko <ol@infoserver.lv> - 0.6.0-5
- Use proper conditional macros
- Don't build for Python2 on RHEL >= 9
* Thu Apr 16 2020 Oleg Girko <ol@infoserver.lv> - 0.6.0-4
- Make Python2 build conditional
* Tue Oct 30 2018 Oleg Girko <ol@infoserver.lv> - 0.6.0-3
- Enable Python3 build
- Fix download URL
* Fri Jul  8 2016 Oleg Girko <ol@infoserver.lv> - 0.6.0-2
- Require python-pathlib2
* Fri Jul  8 2016 Oleg Girko <ol@infoserver.lv> - 0.6.0-1
- Update to 0.6.0
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Sun Aug  4 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Fri Apr  1 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.12-2
- Require Twisted instead of twisted-core since that's what
  setuptools is looking for that.
* Wed Mar  9 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.12-1
- Upstream released new version
* Sun Jun  6 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.9-1
- Upstream released new version
- Drop darcs patch
* Wed Apr  7 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.6-1
- Upstream added license file
- Remove dependency on darcs
* Wed Mar 17 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.4-1
- Upstream released new version
- Upstream added license headers
* Wed Feb 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.3-2
- Review fixes (#523034)
* Wed Sep  9 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.5.3-1
- Initial import
